[all]

logLevel = debug
require  = __pwd__/e2e-tests/custom.pm
requireDontDie = 0
checkTime = 1

[configuration]

type=File
dirName=__pwd__/e2e-tests/conf
;localStorage=Cache::FileCache
;localStorageOptions={                             \
;    'namespace'          => 'lemonldap-ng-config',\
;    'default_expires_in' => 600,                  \
;    'directory_umask'    => '007',                \
;    'cache_root'         => '__pwd__/e2e-tests/conf',               \
;    'cache_depth'        => 3,                    \
;}

[portal]

checkXSS = 1
portalSkin = bootstrap
staticPrefix = /static
languages    = fr, en, vi, it, ar, zh, es, pt, tr, zh_TW, pt_BR, he, ru, mfe, sk
templateDir  = __pwd__/lemonldap-ng-portal/site/templates
portalStatus = 1
totp2fActivation = 1
totp2fSelfRegistration = 1
totp2fIssuer = LLNG_Demo
; AppID is not compatible with http://*.localhost URLs
webauthnAppId = 0

captcha_mail_enabled = 0
portalDisplayResetPassword = 1
;pdataDomain = __domain__

[handler]

https = 0
useRedirectOnError = 0

[manager]

enabledModules = conf, sessions, notifications, 2ndFA, viewer, api
protection   = manager

viewerHiddenKeys = samlIDPMetaDataNodes samlSPMetaDataNodes portalDisplayLogout captcha_login_enabled
viewerAllowBrowser = 1
viewerAllowDiff = 1

staticPrefix = /static
;customCSS = css/custom.css
instanceName = Demo
languages    = fr, en, vi, ar, it, zh, tr, zh_TW, es, pt_BR, he, ru
templateDir  = __pwd__/lemonldap-ng-manager/site/templates

[node-handler]

nodeVhosts = test2.__domain__
loopBackUrl = http://127.0.0.1:19876/
